<template>
  <Modal
    :modalStyle="{ width: '700px' }"
    title="Chef"
    @close="$emit('close', 'chef')"
    :visible="visible"
  >
    <div slot="content" class="chef">
      <div class="px-7 py-7">
        <p class="font-weight-bold mb-2">Cuisine</p>
        <v-row no-gutters>
          <v-col>
            <Checkbox>American</Checkbox>
            <Checkbox>Cajun</Checkbox>
            <Checkbox>Chinese</Checkbox>
            <Checkbox>Cajun</Checkbox>
            <Checkbox>Creole</Checkbox>
            <Checkbox>French</Checkbox>
            <Checkbox>Fusion</Checkbox>
            <Checkbox>German</Checkbox>
            <Checkbox>Greek Or Mediterranean</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Indian</Checkbox>
            <Checkbox>Italian</Checkbox>
            <Checkbox>Japanese</Checkbox>
            <Checkbox>Korean</Checkbox>
            <Checkbox>Mexian</Checkbox>
            <Checkbox>Middle Eastern</Checkbox>
            <Checkbox>Soul</Checkbox>
            <Checkbox>Spanish</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Thai</Checkbox>
            <Checkbox>Vegan</Checkbox>
            <Checkbox>Vegetarian</Checkbox>
            <Checkbox>Vietnamese</Checkbox>
            <Checkbox>Other:</Checkbox>
            <div class="chef__desc">Describe</div>
          </v-col>
        </v-row>
      </div>
      <div class="chef__cookType px-7 py-7">
        <p class="font-weight-bold mb-2">Cook Type</p>
        <v-row no-gutters>
          <v-col>
            <Checkbox>Fish (Poissonier)</Checkbox>
            <Checkbox>Fry</Checkbox>
            <Checkbox>Grill</Checkbox>
            <Checkbox>Line</Checkbox>
            <Checkbox>Meat (Rotissuer)</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Pantry (Chef Garde Manger)</Checkbox>
            <Checkbox>Prep</Checkbox>
            <Checkbox>Relief</Checkbox>
            <Checkbox>Short Order</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Vegetable (Entremetie)</Checkbox>
            <Checkbox>Other:</Checkbox>
            <div class="chef__desc">Describe</div>
          </v-col>
        </v-row>
      </div>
      <div class="chef__chefType px-7 py-7">
        <p class="font-weight-bold mb-2">Chef Type</p>
        <v-row no-gutters>
          <v-col>
            <Checkbox>Chef-Owner</Checkbox>
            <Checkbox>Commis</Checkbox>
            <Checkbox>Executive or Head</Checkbox>
            <Checkbox>Expediter</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Pastry (Pâtissie)</Checkbox>
            <Checkbox>Roast</Checkbox>
            <Checkbox>Sauce</Checkbox>
            <Checkbox>Sous</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Station (Chef De Partie)</Checkbox>
            <Checkbox>Other:</Checkbox>
            <div class="chef__desc">Describe</div>
          </v-col>
        </v-row>
      </div>
    </div>
    <v-btn slot="button" rounded color="error" min-width="200" @click="$emit('save', 'chef')">Save</v-btn>
  </Modal>
</template>

<script>
import Modal from '../../shared/Modal/Modal';
import Checkbox from '../../shared/Checkbox/Checkbox';
export default {
  name: 'ProfessionChef',
  props: {
    visible: Boolean
  },
  components: {
    Modal,
    Checkbox
  }
};
</script>

<style lang="scss" scoped >
@import './ProfessionChef.scss';
</style>